Loading...
Searching...
No Matches
casacore::TaQLMultiNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a list of nodes. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLMultiNodeRep (Bool isSetOrArray=False)
| TaQLMultiNodeRep (const String &prefix, const String &postfix, Bool isSetOrArray=False)
void | setIsSetOrArray ()
void | setPPFix (const String &prefix, const String &postfix)
void | setSeparator (const String &sep)
void | setSeparator (uInt incr, const String &sep)
void | add (const TaQLNode &node)
const std::vector< TaQLNode > & | getNodes () const
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLMultiNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

std::vector< TaQLNode > | itsNodes
Bool | itsIsSetOrArray
String | itsPrefix
String | itsPostfix
String | itsSep
String | itsSep2
uInt | itsIncr

## Detailed Description

Raw TaQL parse tree node defining a list of nodes.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding a list of heterogeneous nodes.

Definition at line 245 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLMultiNodeRep() [1/2]

casacore::TaQLMultiNodeRep::TaQLMultiNodeRep | ( | Bool | isSetOrArray = False | ) |

explicit

References casacore::False.

## TaQLMultiNodeRep() [2/2]

casacore::TaQLMultiNodeRep::TaQLMultiNodeRep | ( | const String & | prefix,
|  | const String & | postfix,
|  | Bool | isSetOrArray = False )

References casacore::False.

## Member Function Documentation

## add()

void casacore::TaQLMultiNodeRep::add | ( | const TaQLNode & | node | ) |

inline

Definition at line 259 of file TaQLNodeDer.h.

References itsNodes.

## getNodes()

const std::vector< TaQLNode > & casacore::TaQLMultiNodeRep::getNodes | ( |  | ) | const

inline

Definition at line 261 of file TaQLNodeDer.h.

References itsNodes.

## restore()

TaQLMultiNode casacore::TaQLMultiNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLMultiNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## setIsSetOrArray()

void casacore::TaQLMultiNodeRep::setIsSetOrArray | ( |  | ) |

inline

Definition at line 251 of file TaQLNodeDer.h.

References itsIsSetOrArray, and casacore::True.

## setPPFix()

void casacore::TaQLMultiNodeRep::setPPFix | ( | const String & | prefix,
|  | const String & | postfix )

inline

Definition at line 253 of file TaQLNodeDer.h.

References itsPostfix, and itsPrefix.

## setSeparator() [1/2]

void casacore::TaQLMultiNodeRep::setSeparator | ( | const String & | sep | ) |

inline

Definition at line 255 of file TaQLNodeDer.h.

References itsSep.

## setSeparator() [2/2]

void casacore::TaQLMultiNodeRep::setSeparator | ( | uInt | incr,
|  | const String & | sep )

inline

Definition at line 257 of file TaQLNodeDer.h.

References itsIncr, and itsSep2.

## show()

virtual void casacore::TaQLMultiNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLMultiNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsIncr

uInt casacore::TaQLMultiNodeRep::itsIncr

Definition at line 274 of file TaQLNodeDer.h.

Referenced by setSeparator().

## itsIsSetOrArray

Bool casacore::TaQLMultiNodeRep::itsIsSetOrArray

Definition at line 269 of file TaQLNodeDer.h.

Referenced by setIsSetOrArray().

## itsNodes

std::vector<TaQLNode> casacore::TaQLMultiNodeRep::itsNodes

Definition at line 268 of file TaQLNodeDer.h.

Referenced by add(), and getNodes().

## itsPostfix

String casacore::TaQLMultiNodeRep::itsPostfix

Definition at line 271 of file TaQLNodeDer.h.

Referenced by setPPFix().

## itsPrefix

String casacore::TaQLMultiNodeRep::itsPrefix

Definition at line 270 of file TaQLNodeDer.h.

Referenced by setPPFix().

## itsSep

String casacore::TaQLMultiNodeRep::itsSep

Definition at line 272 of file TaQLNodeDer.h.

Referenced by setSeparator().

## itsSep2

String casacore::TaQLMultiNodeRep::itsSep2

Definition at line 273 of file TaQLNodeDer.h.

Referenced by setSeparator().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h